View Issue Details

IDProjectCategoryView StatusLast Update
0000897Main CAcert Websitewebsite contentpublic2013-01-15 15:20
ReporterNEOatNHNGAssigned ToUli60 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version2011 Q3 
Summary0000897: Prerequisites to do code signing differ in About->Point System and CPS
DescriptionOn the main website ( https://www.cacert.org/index.php?id=19 ) the prerequisites stated to get a code signing certificate differ from the ones stated in the CPS ( http://www.cacert.org/policy/CertificationPracticeStatement.php#p4.2.6 ).

Website: 100 assurance points
CPS (and wiki): Assurer

This page also doesn't mention the Assurer Challenge on the point "Become an assurer in CAcert Web of Trust" but that's another story
TagsNo tags attached.
Reviewed by
Test Instructions

Relationships

related to 0000910 closedTed Replace "Board" list under http://www.cacert.org/index.php?id=8 with Wiki Link 
related to 0000775 needs reviewdastrath A org ceritficate is only valild one year 
related to 0000671 solved?Uli60 cms pages in online website need review for deprecation 
related to 0000940 closedTed Outsource Webdb text pages help.php?id=0..9 to wiki 

Activities

Uli60

2011-04-14 01:23

updater   ~0001918

Last edited: 2011-04-15 23:26

redirect/link to
https://wiki.cacert.org/FAQ/Privileges

About CAcert.org - Point System

effected source file:
/includes/about_menu.php

2011-04-15 23:29

 

about_menu.php (1,208 bytes)

Uli60

2011-04-15 23:35

updater   ~0001924

patched file attached to notification send to Software-Assessors

NEOatNHNG

2011-04-16 00:46

administrator   ~0001925

Reviewed and committed patched file (available in branch bug-897 commit ID 1fabfa9cb3c786b4d4f18d45c525e18d84841f13).

Deployed fix on test server.

Needs testing and review by a second Software Assessor

INOPIAE

2011-04-16 04:15

updater   ~0001927

Link works on Win7 Pro on IE 9, Firefox 3.6, Chrome 10
on Win XP Pro IE 6

Uli60

2011-04-16 10:24

updater   ~0001931

also to replace effected source file:
/pages/index/19.php

2011-04-16 10:24

 

19.php (1,004 bytes)

Uli60

2011-04-21 17:57

updater   ~0001939

notification to testers sent

Ted

2011-05-17 22:03

administrator   ~0001967

Code review, commits a3d7949c04a06539a8a0982968f711b7832d8672 versus f3c4fd715d125b83cbb35746787b840431270560

File includes/about_menu.php: OK, link changed from internal link to WiKi

File www/index.php: OK, HTTP redirect if old link is used. No PHP output before header() call

File pages/index/19.php: OK, old descriptive text replaced by textual link to WiKi

Summary: Modification approved

Uli60

2011-07-05 01:38

updater   ~0002083

Last edited: 2011-07-05 01:39

View 2 revisions

logged in

using link
https://cacert1.it-sls.de/index.php?id=19
redirects to wiki page
https://wiki.cacert.org/FAQ/Privileges -> ok


logged-out

using link
https://cacert1.it-sls.de/index.php?id=19
redirects to wiki page
https://wiki.cacert.org/FAQ/Privileges -> ok

About CAcert.org - Point System
underlaying link links to
https://wiki.cacert.org/FAQ/Privileges -> ok

moh

2011-07-05 21:16

updater   ~0002089

Link on Testserver searched.
No Link with .../index.php?id=19 found,
only a Link to https://wiki.cacert.org/FAQ/Privileges found (About CAcert.org - Point System) --> seems OK.

Uli60

2011-07-13 00:28

updater   ~0002121

easy text outsource fix
tested by 2 users
reviewed by 2 SA's

NEOatNHNG

2011-07-21 12:51

administrator   ~0002171

Patch request sent to critical admins

wytze

2011-07-22 13:52

developer   ~0002178

Fix applied to production system on July 22, 2011.
See: https://lists.cacert.org/wws/arc/cacert-systemlog/2011-07/msg00007.html

Issue History

Date Modified Username Field Change
2010-12-02 00:03 NEOatNHNG New Issue
2011-04-14 01:22 Uli60 Relationship added related to 0000910
2011-04-14 01:23 Uli60 Note Added: 0001918
2011-04-14 01:27 Uli60 Relationship added related to 0000671
2011-04-14 01:33 Uli60 Relationship added related to 0000775
2011-04-15 12:56 Uli60 Note Edited: 0001918
2011-04-15 23:26 Uli60 Note Edited: 0001918
2011-04-15 23:29 Uli60 File Added: about_menu.php
2011-04-15 23:34 Uli60 Status new => needs work
2011-04-15 23:34 Uli60 Assigned To => Uli60
2011-04-15 23:35 Uli60 Note Added: 0001924
2011-04-16 00:46 NEOatNHNG Note Added: 0001925
2011-04-16 04:15 INOPIAE Note Added: 0001927
2011-04-16 10:24 Uli60 Note Added: 0001931
2011-04-16 10:24 Uli60 File Added: 19.php
2011-04-21 17:57 Uli60 Note Added: 0001939
2011-05-17 22:03 Ted Note Added: 0001967
2011-05-21 22:59 Uli60 Relationship added related to 0000940
2011-06-15 15:11 NEOatNHNG Status needs work => needs review & testing
2011-06-15 15:11 NEOatNHNG Status needs review & testing => needs testing
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master 6d734e1c
2011-06-19 16:53 NEOatNHNG Source_changeset_attached => cacert-devel master a3c91c13
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 6d734e1c
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master f3c4fd71
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master a3c91c13
2011-06-21 23:57 NEOatNHNG Source_changeset_attached => cacert-devel master 1fabfa9c
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 6d734e1c
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master f3c4fd71
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master a3c91c13
2011-06-22 00:09 NEOatNHNG Source_changeset_attached => cacert-devel master 1fabfa9c
2011-07-05 01:38 Uli60 Note Added: 0002083
2011-07-05 01:39 Uli60 Note Edited: 0002083 View Revisions
2011-07-05 21:16 moh Note Added: 0002089
2011-07-13 00:28 Uli60 Note Added: 0002121
2011-07-13 00:28 Uli60 Status needs testing => ready to deploy
2011-07-21 12:51 NEOatNHNG Note Added: 0002171
2011-07-21 13:15 NEOatNHNG Source_changeset_attached => cacert-devel release a9cf76be
2011-07-22 13:52 wytze Note Added: 0002178
2011-07-22 13:53 wytze Status ready to deploy => closed
2011-07-22 13:53 wytze Resolution open => fixed
2013-01-15 15:20 Werner Dworak Fixed in Version => 2011 Q3